"DBTest" <- function(Daten,
                     DBVerzeichnis = "PicoDatenDB",
                     DBBezeichnung = "PicoDaten.db",
                     DBTabelle = "PicoDaten")
  
{
  
  ################################################################################
  ##                      Raspberry Pi Pico-IoT-Projekte
  ##
  ##                   SQLite-Test-Funktion Raspberry Pi 4B
  ## 
  ## IoT-Projekt 4: POC "SQLite Raspberry Pi 4B"
  ## 
  ## Dieses Skript ist eine Funktionssammlung um die Verwendung einer SQLite-
  ## Datenbank auf dem Rspberry Pi 4B zu testen.
  ## Dazu sind Funktion aus dem Skript IoT_Funktionen.R erforderlich. Die DB
  ## wird in einem Verzeichnis unter dem aktuellen Arbeitsverzeichnis angelegt.
  ##
  ## Siehe auch: https://www.sqlite.org 
  ##
  ## Ad-Oculos-Projekt, https://www.faes.de/ad-oculos/
  ## Günter Faes
  ## Version 0.0.1, 19.01.2024
  ## R-Version: 4.3.2  (2023-06-16)   
  ##
  ################################################################################

  ## Variablenindizierung:
  
  DBName <- paste0(DBVerzeichnis,"/",DBBezeichnung)
  Abfrage <- ""
  Abfrageergebnis <- NULL
  
  ## Benötigte Funktionen laden:
  source("IoT_Funktionen.R")
  
  ## DB-Verbindung herstellen:
  DBVerbindung <- SQLiteDBVerbindung(DBName)
  
  ## Daten in Tabelle schreiben:
  DBDatenSchreiben(DBVerbindung, DBTabelle, Daten)
  
  ## Gesamte Tabelle zur Kontrolle ausgeben:
  Abfrage <- paste0("SELECT * FROM ", "'", DBTabelle, "'")
  Abfrageergebnis <- dbGetQuery(DBVerbindung, Abfrage)
  View(Abfrageergebnis)
  
  # DB schließen:
  dbDisconnect(DBVerbindung)
  
  
}


#### Skript-Ende #####
